| Home | Libraries | People | FAQ | More

## Function template trim_left_if

boost::algorithm::trim_left_if — Left trim.

## Synopsis

    // In header: <boost/algorithm/string/trim.hpp>

    template<typename SequenceT, typename PredicateT>
      void trim_left_if(SequenceT & Input, PredicateT IsSpace);

## Description

Remove all leading spaces from the input. The supplied predicate is used to determine which characters are considered spaces. The input sequence is modified in-place.

Parameters: |
`Input` | An input sequence
`IsSpace` | A unary predicate identifying spaces